diff --git a/sys/dev/netif/re/re.c b/sys/dev/netif/re/re.c
index dfe6b3a706..16958e8335 100644
--- a/sys/dev/netif/re/re.c
+++ b/sys/dev/netif/re/re.c
@@ -19675,7 +24529,7 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x1F, 0x0C42);
                 ClearAndSetEthPhyBit(sc,
                                      0x11,
-                                     BIT_13 ,
+                                     BIT_13,
                                      BIT_14
                                     );
                 MP_WritePhyUshort(sc, 0x1F, 0x0000);
@@ -19732,7 +24586,7 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x1F, 0x0C42);
                 ClearAndSetEthPhyBit(sc,
                                      0x11,
-                                     BIT_13 ,
+                                     BIT_13,
                                      BIT_14
                                     );
                 MP_WritePhyUshort(sc, 0x1F, 0x0000);
@@ -19755,69 +24609,6 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x1F, 0x0000);
                 MP_WritePhyUshort(sc, 0x00, 0x9200);
         } else if (sc->re_type == MACFG_59) {
-                MP_WritePhyUshort(sc, 0x1f, 0x0B82);
-                PhyRegValue = MP_ReadPhyUshort(sc,  0x10);
-                PhyRegValue |= BIT_4;
-                MP_WritePhyUshort(sc, 0x10, PhyRegValue);
-
-                MP_WritePhyUshort(sc, 0x1f, 0x0B80);
-                WaitCnt = 0;
-                do {
-                        PhyRegValue = MP_ReadPhyUshort(sc,  0x10);
-                        PhyRegValue &= 0x0040;
-                        DELAY(50);
-                        DELAY(50);
-                        WaitCnt++;
-                } while(PhyRegValue != 0x0040 && WaitCnt <1000);
-
-                MP_WritePhyUshort(sc, 0x1f, 0x0A43);
-                MP_WritePhyUshort(sc, 0x13, 0x8146);
-                MP_WritePhyUshort(sc, 0x14, 0x0300);
-                MP_WritePhyUshort(sc, 0x13, 0xB82E);
-                MP_WritePhyUshort(sc, 0x14, 0x0001);
-
-                MP_WritePhyUshort(sc, 0x1F, 0x0A43);
-                MP_WritePhyUshort(sc, 0x13, 0xb820);
-                MP_WritePhyUshort(sc, 0x14, 0x0290);
-                MP_WritePhyUshort(sc, 0x13, 0xa012);
-                MP_WritePhyUshort(sc, 0x14, 0x0000);
-                MP_WritePhyUshort(sc, 0x13, 0xa014);
-                MP_WritePhyUshort(sc, 0x14, 0x2c04);
-                MP_WritePhyUshort(sc, 0x14, 0x2c07);
-                MP_WritePhyUshort(sc, 0x14, 0x2c07);
-                MP_WritePhyUshort(sc, 0x14, 0x2c07);
-                MP_WritePhyUshort(sc, 0x14, 0xa304);
-                MP_WritePhyUshort(sc, 0x14, 0xa301);
-                MP_WritePhyUshort(sc, 0x14, 0x207e);
-                MP_WritePhyUshort(sc, 0x13, 0xa01a);
-                MP_WritePhyUshort(sc, 0x14, 0x0000);
-                MP_WritePhyUshort(sc, 0x13, 0xa006);
-                MP_WritePhyUshort(sc, 0x14, 0x0fff);
-                MP_WritePhyUshort(sc, 0x13, 0xa004);
-                MP_WritePhyUshort(sc, 0x14, 0x0fff);
-                MP_WritePhyUshort(sc, 0x13, 0xa002);
-                MP_WritePhyUshort(sc, 0x14, 0x0fff);
-                MP_WritePhyUshort(sc, 0x13, 0xa000);
-                MP_WritePhyUshort(sc, 0x14, 0x107c);
-                MP_WritePhyUshort(sc, 0x13, 0xb820);
-                MP_WritePhyUshort(sc, 0x14, 0x0210);
-
-                MP_WritePhyUshort(sc, 0x1F, 0x0A43);
-                MP_WritePhyUshort(sc, 0x13, 0x0000);
-                MP_WritePhyUshort(sc, 0x14, 0x0000);
-                MP_WritePhyUshort(sc, 0x1f, 0x0B82);
-                PhyRegValue = MP_ReadPhyUshort(sc, 0x17);
-                PhyRegValue &= ~(BIT_0);
-                MP_WritePhyUshort(sc, 0x17, PhyRegValue);
-                MP_WritePhyUshort(sc, 0x1f, 0x0A43);
-                MP_WritePhyUshort(sc, 0x13, 0x8146);
-                MP_WritePhyUshort(sc, 0x14, 0x0000);
-
-                MP_WritePhyUshort(sc, 0x1f, 0x0B82);
-                PhyRegValue = MP_ReadPhyUshort(sc, 0x10);
-                PhyRegValue &= ~(BIT_4);
-                MP_WritePhyUshort(sc, 0x10, PhyRegValue);
-
                 MP_WritePhyUshort(sc, 0x1F, 0x0BCC);
                 ClearEthPhyBit(sc, 0x14, BIT_8);
                 MP_WritePhyUshort(sc, 0x1F, 0x0A44);
@@ -19844,49 +24635,49 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x13, 0x80F3);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x8B00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80F0);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x3A00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80EF);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x0500
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80F6);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x6E00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80EC);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x6800
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80ED);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x7C00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80F2);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0xF400
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80F4);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x8500
                                     );
 
@@ -19894,49 +24685,49 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x13, 0x8110);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0xA800
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x810F);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x1D00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x8111);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0xF500
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x8113);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x6100
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x8115);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x9200
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x810E);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x0400
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x810C);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x7C00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x810B);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x5A00
                                     );
 
@@ -19944,31 +24735,31 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x13, 0x80D1);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0xFF00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80CD);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x9E00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80D3);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x0E00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80D5);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0xCA00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80D7);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x8400
                                     );
 
@@ -19990,69 +24781,6 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x1F, 0x0000);
                 MP_WritePhyUshort(sc, 0x00, 0x9200);
         } else if (sc->re_type == MACFG_60) {
-                MP_WritePhyUshort(sc, 0x1f, 0x0B82);
-                PhyRegValue = MP_ReadPhyUshort(sc, 0x10);
-                PhyRegValue |= BIT_4;
-                MP_WritePhyUshort(sc, 0x10, PhyRegValue);
-
-                MP_WritePhyUshort(sc, 0x1f, 0x0B80);
-                WaitCnt = 0;
-                do {
-                        PhyRegValue = MP_ReadPhyUshort(sc, 0x10);
-                        PhyRegValue &= 0x0040;
-                        DELAY(50);
-                        DELAY(50);
-                        WaitCnt++;
-                } while(PhyRegValue != 0x0040 && WaitCnt <1000);
-
-                MP_WritePhyUshort(sc, 0x1f, 0x0A43);
-                MP_WritePhyUshort(sc, 0x13, 0x8146);
-                MP_WritePhyUshort(sc, 0x14, 0x0100);
-                MP_WritePhyUshort(sc, 0x13, 0xB82E);
-                MP_WritePhyUshort(sc, 0x14, 0x0001);
-
-                MP_WritePhyUshort(sc, 0x1F, 0x0A43);
-                MP_WritePhyUshort(sc, 0x13, 0xb820);
-                MP_WritePhyUshort(sc, 0x14, 0x0290);
-                MP_WritePhyUshort(sc, 0x13, 0xa012);
-                MP_WritePhyUshort(sc, 0x14, 0x0000);
-                MP_WritePhyUshort(sc, 0x13, 0xa014);
-                MP_WritePhyUshort(sc, 0x14, 0x2c04);
-                MP_WritePhyUshort(sc, 0x14, 0x2c07);
-                MP_WritePhyUshort(sc, 0x14, 0x2c07);
-                MP_WritePhyUshort(sc, 0x14, 0x2c07);
-                MP_WritePhyUshort(sc, 0x14, 0xa304);
-                MP_WritePhyUshort(sc, 0x14, 0xa301);
-                MP_WritePhyUshort(sc, 0x14, 0x207e);
-                MP_WritePhyUshort(sc, 0x13, 0xa01a);
-                MP_WritePhyUshort(sc, 0x14, 0x0000);
-                MP_WritePhyUshort(sc, 0x13, 0xa006);
-                MP_WritePhyUshort(sc, 0x14, 0x0fff);
-                MP_WritePhyUshort(sc, 0x13, 0xa004);
-                MP_WritePhyUshort(sc, 0x14, 0x0fff);
-                MP_WritePhyUshort(sc, 0x13, 0xa002);
-                MP_WritePhyUshort(sc, 0x14, 0x0fff);
-                MP_WritePhyUshort(sc, 0x13, 0xa000);
-                MP_WritePhyUshort(sc, 0x14, 0x107c);
-                MP_WritePhyUshort(sc, 0x13, 0xb820);
-                MP_WritePhyUshort(sc, 0x14, 0x0210);
-
-                MP_WritePhyUshort(sc, 0x1F, 0x0A43);
-                MP_WritePhyUshort(sc, 0x13, 0x0000);
-                MP_WritePhyUshort(sc, 0x14, 0x0000);
-                MP_WritePhyUshort(sc, 0x1f, 0x0B82);
-                PhyRegValue = MP_ReadPhyUshort(sc, 0x17);
-                PhyRegValue &= ~(BIT_0);
-                MP_WritePhyUshort(sc, 0x17, PhyRegValue);
-                MP_WritePhyUshort(sc, 0x1f, 0x0A43);
-                MP_WritePhyUshort(sc, 0x13, 0x8146);
-                MP_WritePhyUshort(sc, 0x14, 0x0000);
-
-                MP_WritePhyUshort(sc,0x1f, 0x0B82);
-                PhyRegValue = MP_ReadPhyUshort(sc, 0x10);
-                PhyRegValue &= ~(BIT_4);
-                MP_WritePhyUshort(sc,0x10, PhyRegValue);
-
                 MP_WritePhyUshort(sc, 0x1F, 0x0A43);
                 MP_WritePhyUshort(sc, 0x13, 0x8012);
                 SetEthPhyBit(sc, 0x14, BIT_15);
@@ -20066,49 +24794,49 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x13, 0x80F3);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x8B00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80F0);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x3A00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80EF);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x0500
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80F6);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x6E00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80EC);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x6800
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80ED);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x7C00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80F2);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0xF400
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80F4);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x8500
                                     );
 
@@ -20116,49 +24844,49 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x13, 0x8110);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0xA800
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x810F);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x1D00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x8111);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0xF500
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x8113);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x6100
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x8115);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x9200
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x810E);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x0400
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x810C);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x7C00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x810B);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x5A00
                                     );
 
@@ -20166,31 +24894,31 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x13, 0x80D1);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0xFF00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80CD);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x9E00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80D3);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x0E00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80D5);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0xCA00
                                     );
                 MP_WritePhyUshort(sc, 0x13, 0x80D7);
                 ClearAndSetEthPhyBit(sc,
                                      0x14,
-                                     0xFF00 ,
+                                     0xFF00,
                                      0x8400
                                     );
 
